Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1888150 - Install Operand Form on OperatorHub is displaying unformatted text
Summary: Install Operand Form on OperatorHub is displaying unformatted text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks: 1892259
TreeView+ depends on / blocked
 
Reported: 2020-10-14 08:23 UTC by Oren Cohen
Modified: 2021-02-24 15:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Missing 'SyncMarkdownView' component on the Install Operand Form description Consequence: Install Operand Form description is not formatted with markdown. Fix: Format markdown text in Install Operand Form, using the 'SyncMarkdownView' component. Result: Install Operand Form description is formatted with markdown.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:26:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
install operand form screenshot (250.10 KB, image/png)
2020-10-14 08:23 UTC, Oren Cohen
no flags Details
description-in-install-flow (47.48 KB, image/png)
2020-10-28 09:08 UTC, Yanping Zhang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6927 0 None closed Bug 1888150: Format markdown text in Install Operand Form 2021-02-18 20:25:25 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:26:40 UTC

Description Oren Cohen 2020-10-14 08:23:52 UTC
Created attachment 1721423 [details]
install operand form screenshot

Description of problem:
When using the new CSV annotation of "operatorframework.io/initialization-resource", the "Install Operand Form" shown to the user upon subscribing to the operator is displaying the operator's description without markdown formatting, resulting in a very messy and unreadable block of text.
screenshot provided.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Install an operator which implemented the "operatorframework.io/initialization-resource" annotation in its CSV, through OperatorHub UI.
2. On the following screen ("Install Operator"), press "Install" button.
3. The Install Operand Form is shown with unformatted text of the operator's description.

Actual results:
The text is plain, unformatted, unreadable.

Expected results:
The text in this form should be rendered as MarkDown, as it is shown in "Installed Operators > Operator Details" page.

Additional info:

Comment 1 Stephen Cuppett 2020-10-14 11:54:32 UTC
Setting target release to the active development branch (4.7.0). For any fixes, where required and requested, cloned BZs will be created for those release maintenance streams where appropriate once they are identified.

Setting a tentative severity based on description as provided.

Comment 2 Kevin Rizza 2020-10-14 12:24:17 UTC
This bug appears to be a UI issue, moving to the console team.

Comment 4 Yanping Zhang 2020-10-28 09:07:02 UTC
Tested on ocp 4.7 with payload 4.7.0-0.nightly-2020-10-27-051128.
1. Install ocs operator with CSV annotation having "operatorframework.io/initialization-resource", and operator description contains special text eg:
    description: Red Hat OpenShift Container Storage provides hyperconverged storage for applications within an OpenShift cluster. The following instructions assume you have an existing cluster you can connect to. OpenShift 4.x clusters can be installed using the [OpenShift Installer](https://mirror.openshift.com/pub/openshift-v4/clients/ocp/latest/).You can also use [CodeReady Containers](https://github.com/code-ready/crc) for local installs. More information about installing OpenShift can be found at <https://try.openshift.com/>.
2. Check on installation flow, the texts in description are shown after markdown formatted. Refer to screenshot.
The bug is fixed.

Comment 5 Yanping Zhang 2020-10-28 09:08:01 UTC
Created attachment 1724740 [details]
description-in-install-flow

Comment 6 Oren Cohen 2020-10-28 09:21:47 UTC
Thanks.
Is it possible to backport this fix to a 4.6 z-stream?

Comment 7 Jakub Hadvig 2020-10-28 10:17:23 UTC
Oren I've started the backport process. Please check https://bugzilla.redhat.com/show_bug.cgi?id=1892259

Comment 8 Oren Cohen 2020-10-28 11:20:27 UTC
Thanks, Jakub.

Comment 11 errata-xmlrpc 2021-02-24 15:26:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.